Bug 827997 - preupgrade makes non-usable initramfs
preupgrade makes non-usable initramfs
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-03 20:00 EDT by Hin-Tak Leung
Modified: 2013-02-13 09:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 904288 (view as bug list)
Environment:
Last Closed: 2013-02-13 09:45:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
"rpm -qa --last" before and after preupgrade. (260.98 KB, application/x-gzip)
2012-06-03 20:00 EDT, Hin-Tak Leung
no flags Details

  None (edit)
Description Hin-Tak Leung 2012-06-03 20:00:00 EDT
Created attachment 588977 [details]
"rpm -qa --last" before and after preupgrade.

Description of problem:
First described in:
https://bugzilla.redhat.com/show_bug.cgi?id=820351#c36

After going through preupgrade, I ended up with a 3.3.7-1.fc17 kernel which boots with the message:
--------------
[   0.020998] ..MP-BIOS bug: 8254 timer not connected to IO-APIC
[   1.457035] ata1: softreset failed (device not ready)
ata_id[241]: unable to open '$devnode'

dracut Warning: Unable to process initqueue
dracut Warning: /dev/mapper/VolGroup01-LogVol00 does not exist

Dropping to debug shell.

dracut:/#
---------------

Version-Release number of selected component (if applicable):
I am going to attach my rpm -qa --last before and after preupgrade.
kernel-3.3.7-1.fc17 

How reproducible:
Always, tried rebooting a few times, until I did rpm -ivh --force <the-same-kernel>.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

The problem was fixed with booting the old f16 kernel (and let it crash on shutdown), do rpm -ivh --force <koji_url_of_3.3.7-1.fc17> to re-install the f17 kernel.
Comment 1 Hin-Tak Leung 2012-06-03 20:06:15 EDT
Somebody might want to look at where "unable to open '$devnode'" comes from...
Comment 2 Mads Kiilerich 2012-06-03 20:27:40 EDT
Please attach your anaconda logs.
Comment 3 Fedora End Of Life 2013-01-16 08:51:28 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 09:45:52 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.